com.jogamp.opengl.util.glsl.sdk

## Class CompileShader

- java.lang.Object
- - com.jogamp.opengl.util.glsl.sdk.CompileShader

- Direct Known Subclasses:
    CompileShaderNVidia

      public abstract class CompileShader
      extends Object

  Precompiles a shader into a vendor binary format. Input is the resource name of the shader, such as "com/jogamp/opengl/impl/glsl/fixed/shader/a.fp". Output is "com/jogamp/opengl/impl/glsl/fixed/shader/bin/nvidia/a.bfp". All path and suffixes are determined by the ShaderCode class, which ensures runtime compatibility.
  See Also:
    `ShaderCode`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompileShader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `getBinaryFormat()`
    `abstract String` | `getFragmentShaderCompiler()`
    `abstract File` | `getSDKCompilerDir()`
    `abstract String` | `getVertexShaderCompiler()`
    `void` | `processOneShader(String resourceName)`
    `void` | `processOneShader(String resourceName, String outName, int type)`
    `void` | `run(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompileShader

          public CompileShader()

  - ### Method Detail

    - #### getBinaryFormat

          public abstract int getBinaryFormat()

    - #### getSDKCompilerDir

          public abstract File getSDKCompilerDir()

    - #### getVertexShaderCompiler

          public abstract String getVertexShaderCompiler()

    - #### getFragmentShaderCompiler

          public abstract String getFragmentShaderCompiler()

    - #### processOneShader

          public void processOneShader(String resourceName)
                                throws IOException,
                                       UnsupportedEncodingException,
                                       InterruptedException

      Throws:
        `IOException`
        `UnsupportedEncodingException`
        `InterruptedException`

    - #### processOneShader

          public void processOneShader(String resourceName,
                              String outName,
                              int type)
                                throws IOException,
                                       UnsupportedEncodingException,
                                       InterruptedException

      Throws:
        `IOException`
        `UnsupportedEncodingException`
        `InterruptedException`

    - #### run

          public void run(String[] args)

Copyright 2010 JogAmp Community.